default:
  suites:
    default:
      contexts:
        - VarnishPurgeFeatureContext
        - Drupal\DrupalExtension\Context\DrupalContext
        - Drupal\DrupalExtension\Context\MinkContext
        - Drupal\DrupalExtension\Context\MessageContext
  extensions:
    Behat\MinkExtension:
      goutte: ~
      selenium2: ~
      base_url: http://localhost:8080
      sessions:
        default:
          goutte: ~
        javascript:
          selenium2:
            browser: chrome
            wd_host: http://localhost:4444/wd/hub
    Drupal\DrupalExtension:
      blackbox: ~
      api_driver: 'drupal'
      drush:
        alias: 'local'
      drupal:
        drupal_root: '/var/www/html'
      region_map:
        footer: "#footer"
      selectors:
        message_selector: '.messages'
        error_message_selector: '.messages--error'
        success_message_selector: '.messages--status'
    Bex\Behat\ScreenshotExtension:
      screenshot_taking_mode: all_scenarios
      image_drivers:
        local:
          screenshot_directory: '/var/www/html/artifacts/screenshots'
